Bug 993853 - comment=systemd.automount broken in F18
comment=systemd.automount broken in F18
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 08:37 EDT by Harald Reindl
Modified: 2013-09-13 16:12 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 16:12:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-08-06 08:37:55 EDT
while trying if https://bugzilla.redhat.com/show_bug.cgi?id=887557 happens too with recent kernels i see automount broken on F18 (systemd-201-2.fc18.7.x86_64) which makes the feature questionable if someone weights the gain in boot-time and the number of potential problems up to complete crashes

UUID=b834776d-69d1-49c6-97c1-d6d758a438f0  /boot     ext4  defaults,noauto,comment=systemd.automount 0 1

[root@master:~]$ mount | grep boot
systemd-1 on /boot type autofs (rw,relatime,fd=35,pgrp=1,timeout=300,minproto=5,maxproto=5,direct)

[root@master:~]$ ls /boot/
/usr/bin/ls: cannot access /boot/: Too many levels of symbolic links
Comment 1 Michal Schmidt 2013-08-07 06:46:18 EDT
Works for me, using kernel-3.9.11-200.fc18.x86_64. What kernel version are you using?
Comment 2 Harald Reindl 2013-08-07 06:49:23 EDT
Linux master.thelounge.net 3.9.11-200.fc18.x86_64 #1 SMP Mon Jul 22 21:04:50 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 3 Harald Hoyer 2013-08-07 08:15:00 EDT
# ls -al /
Comment 4 Harald Reindl 2013-08-07 08:35:32 EDT
[root@master:~]$ /bin/ls -al /
insgesamt 72
dr-xr-xr-x. 20 root root  4096  2. Aug 12:35 .
dr-xr-xr-x. 20 root root  4096  2. Aug 12:35 ..
-rw-r--r--   1 root root     0 18. Aug 2008  .autorelabel
lrwxrwxrwx   1 root root     7 29. Jul 15:46 bin -> usr/bin
drwxr-xr-x   2 root root     0  7. Aug 14:33 boot
drwxr-xr-x.  2 root root  4096  3. Jul 12:09 data
drwxr-xr-x  16 root root  3080  7. Aug 14:33 dev
drwxr-xr-x. 74 root root 12288  4. Aug 22:07 etc
drwxr-xr-x.  5 root root  4096 19. Jul 2012  home
lrwxrwxrwx   1 root root     7 29. Jul 15:46 lib -> usr/lib
lrwxrwxrwx   1 root root     9 29. Jul 15:46 lib64 -> usr/lib64
drwx------   2 root root  4096  6. Apr 19:29 lost+found
drwxr-xr-x.  2 root root  4096 18. Mai 2011  media
drwxr-xr-x.  3 root root  4096 19. Jul 2012  mnt
drwxr-xr-x.  3 root root  4096 19. Jul 2012  opt
dr-xr-xr-x  77 root root     0  7. Aug 14:33 proc
dr-xr-x---.  5 root root  4096 29. Jul 15:46 root
drwxr-xr-x  18 root root   480  7. Aug 14:33 run
lrwxrwxrwx   1 root root     8 29. Jul 15:46 sbin -> usr/sbin
lrwxrwxrwx   1 root root    18  1. Okt 2008  scripts -> /usr/local/scripts
drwxr-xr-x.  2 root root  4096 19. Jul 2012  srv
dr-xr-xr-x  13 root root     0  7. Aug 14:33 sys
drwxrwxrwt  11 root root   220  7. Aug 14:33 tmp
drwxr-xr-x. 13 root root  4096 29. Jul 15:46 usr
drwxr-xr-x. 20 root root  4096 29. Jul 15:46 var
drwxr-xr-x.  3 root root  4096 18. Aug 2008  Volumes
lrwxrwxrwx   1 root root    25 10. Okt 2008  www -> /Volumes/dune/www-servers
______________________________________________________________________

[root@master:~]$ /bin/mount 
proc on /proc type proc (rw,nosuid,nodev,noexec,relatime)                                                                                                                                                          
sysfs on /sys type sysfs (rw,nosuid,nodev,noexec,relatime)                                                                                                                                                         
devtmpfs on /dev type devtmpfs (rw,nosuid,size=504592k,nr_inodes=126148,mode=755)                                                                                                                                  
securityfs on /sys/kernel/security type securityfs (rw,nosuid,nodev,noexec,relatime)                                                                                                                               
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)                                                                                                                                                                     
devpts on /dev/pts type devpts (rw,nosuid,noexec,relatime,gid=5,mode=620,ptmxmode=000)                                                                                                                             
tmpfs on /run type tmpfs (rw,nosuid,nodev,mode=755)                                                                                                                                                                
tmpfs on /sys/fs/cgroup type tmpfs (rw,nosuid,nodev,noexec,mode=755)                                                                                                                                               
cgroup on /sys/fs/cgroup/systemd type cgroup (rw,nosuid,nodev,noexec,relatime,release_agent=/usr/lib/systemd/systemd-cgroups-agent,name=systemd)                                                                   
pstore on /sys/fs/pstore type pstore (rw,nosuid,nodev,noexec,relatime)
cgroup on /sys/fs/cgroup/cpuset type cgroup (rw,nosuid,nodev,noexec,relatime,cpuset)
cgroup on /sys/fs/cgroup/cpu,cpuacct type cgroup (rw,nosuid,nodev,noexec,relatime,cpuacct,cpu)
cgroup on /sys/fs/cgroup/memory type cgroup (rw,nosuid,nodev,noexec,relatime,memory)
cgroup on /sys/fs/cgroup/devices type cgroup (rw,nosuid,nodev,noexec,relatime,devices)
cgroup on /sys/fs/cgroup/freezer type cgroup (rw,nosuid,nodev,noexec,relatime,freezer)
cgroup on /sys/fs/cgroup/net_cls type cgroup (rw,nosuid,nodev,noexec,relatime,net_cls)
cgroup on /sys/fs/cgroup/blkio type cgroup (rw,nosuid,nodev,noexec,relatime,blkio)
cgroup on /sys/fs/cgroup/perf_event type cgroup (rw,nosuid,nodev,noexec,relatime,perf_event)
/dev/sdb1 on / type ext4 (rw,noatime,nodiratime,commit=45,inode_readahead_blks=16)
systemd-1 on /proc/sys/fs/binfmt_misc type autofs (rw,relatime,fd=29,pgrp=1,timeout=300,minproto=5,maxproto=5,direct)
systemd-1 on /boot type autofs (rw,relatime,fd=35,pgrp=1,timeout=300,minproto=5,maxproto=5,direct)
hugetlbfs on /dev/hugepages type hugetlbfs (rw,relatime)
debugfs on /sys/kernel/debug type debugfs (rw,relatime)
configfs on /sys/kernel/config type configfs (rw,relatime)
mqueue on /dev/mqueue type mqueue (rw,relatime)
tmpfs on /tmp type tmpfs (rw)
/dev/sdc1 on /var/log type ext4 (rw,noexec,noatime,nodiratime,commit=45,inode_readahead_blks=16)
Comment 5 Lennart Poettering 2013-09-12 15:38:39 EDT
Are there any related, interesting messages in the logs?
Comment 6 Harald Reindl 2013-09-13 08:46:45 EDT
no, i simply give up with this because the micro-optimization for boot-time does not outperform the possible regressions and i only did try it again because the kernel-maintainer asked if the crashes at freeze-FS also happens in recent kernels
Comment 7 Lennart Poettering 2013-09-13 16:12:30 EDT
OK, closing then.

Note You need to log in before you can comment on or make changes to this bug.